lldpd: add sysv init script

Add a simple sysv init script to start the lldpd daemon at boot.

Signed-off-by: Vivien Didelot <vivien.didelot@savoirfairelinux.com>
[Thomas: cosmetic improvements.]
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
This commit is contained in:
Vivien Didelot 2016-08-02 12:24:11 -04:00 committed by Thomas Petazzoni
parent eb0c0f821c
commit 8711d72410
2 changed files with 30 additions and 0 deletions

25
package/lldpd/S60lldpd Normal file
View File

@ -0,0 +1,25 @@
#!/bin/sh
#
# Controls lldpd.
#
case $1 in
start)
printf "Starting lldpd: "
start-stop-daemon -S -q -p /var/run/lldpd.pid --exec /usr/sbin/lldpd
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping lldpd: "
start-stop-daemon -K -q -p /var/run/lldpd.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
;;
esac

View File

@ -35,4 +35,9 @@ LLDPD_CONF_OPTS = \
$(if $(BR2_PACKAGE_LLDPD_DOT3),--enable-dot3,--disable-dot3) \
$(if $(BR2_PACKAGE_LLDPD_CUSTOM_TLV),--enable-custom,--disable-custom)
define LLDPD_INSTALL_INIT_SYSV
$(INSTALL) -D -m 0755 package/lldpd/S60lldpd \
$(TARGET_DIR)/etc/init.d/S60lldpd
endef
$(eval $(autotools-package))